<ion-header>
  <ion-toolbar class="ios hydrated">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="home"></ion-back-button>
    </ion-buttons>
    <ion-title class="ios title-ios hydrated">Edit Base</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content>
  <ion-list lines="full" class="ion-no-margin ion-no-padding ios list-ios list-lines-full list-ios-lines-full hydrated">
    <form [formGroup]="updateBaseForm" (ngSubmit)="updateForm()">
      <ion-item>
        <ion-label position="floating">Type</ion-label>
        <ion-input formControlName="type" type="text" required></ion-input>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Preview</ion-label>
        <ion-input formControlName="preview" type="text" required>
        </ion-input>
      </ion-item>

      <ion-row>
        <ion-col>
          <ion-button type="submit" color="primary" shape="full" expand="block">Update</ion-button>
        </ion-col>
      </ion-row>
    </form>
  </ion-list>
</ion-content>